AIQueueConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIQueueConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIQueueConstants

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIQueueConstants

    public class AIQueueConstants

extends java.lang.Object

Defines some constants for working with the autoinventory queues.

Field Summary
`static int` | `Q_DECISION_APPROVE`
`static int` | `Q_DECISION_DEFER`
`static int` | `Q_DECISION_IGNORE`
`static int` | `Q_DECISION_PURGE`
`static int` | `Q_DECISION_UNIGNORE`
`static java.lang.String[]` | `Q_DECISIONS`
`static long` | `Q_DIFF_NONE`
`static long` | `Q_IP_MAC_CHANGED`
`static long` | `Q_IP_NETMASK_CHANGED`
`static long` | `Q_PLATFORM_FQDN_CHANGED`
`static long` | `Q_PLATFORM_IPS_CHANGED`
`static long` | `Q_PLATFORM_PROPERTIES_CHANGED`
`static long` | `Q_PLATFORM_SERVERS_CHANGED`
`static long` | `Q_SERVER_CONFIG_CHANGED`
`static long` | `Q_SERVER_INSTALLPATH_CHANGED`
`static long` | `Q_SERVER_NAME_CHANGED`
`static long` | `Q_SERVER_SERVICES_CHANGED`
`static int` | `Q_STATUS_ADDED`
`static int` | `Q_STATUS_CHANGED`
`static int` | `Q_STATUS_PLACEHOLDER`
`static int` | `Q_STATUS_REMOVED`

Constructor Summary
`AIQueueConstants()`

Method Summary
`static boolean` | `diffContains(long diff, long attr)`
`static int` | `getActionValue(java.lang.String actionString)`
`static java.lang.String` | `getIPDiffString(int qstat, long diff)`
`static java.lang.String` | `getPlatformDiffString(int qstat, long diff)`
`static java.lang.String` | `getQueueStatusString(int qstat)`
`static java.lang.String` | `getServerDiffString(int qstat, long diff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Q_DECISION_DEFER

    public static final int Q_DECISION_DEFER

See Also:
  Constant Field Values

### Q_DECISION_APPROVE

    public static final int Q_DECISION_APPROVE

See Also:
  Constant Field Values

### Q_DECISION_IGNORE

    public static final int Q_DECISION_IGNORE

See Also:
  Constant Field Values

### Q_DECISION_UNIGNORE

    public static final int Q_DECISION_UNIGNORE

See Also:
  Constant Field Values

### Q_DECISION_PURGE

    public static final int Q_DECISION_PURGE

See Also:
  Constant Field Values

### Q_DECISIONS

    public static final java.lang.String[] Q_DECISIONS

### Q_STATUS_PLACEHOLDER

    public static final int Q_STATUS_PLACEHOLDER

See Also:
  Constant Field Values

### Q_STATUS_ADDED

    public static final int Q_STATUS_ADDED

See Also:
  Constant Field Values

### Q_STATUS_CHANGED

    public static final int Q_STATUS_CHANGED

See Also:
  Constant Field Values

### Q_STATUS_REMOVED

    public static final int Q_STATUS_REMOVED

See Also:
  Constant Field Values

### Q_DIFF_NONE

    public static final long Q_DIFF_NONE

See Also:
  Constant Field Values

### Q_PLATFORM_FQDN_CHANGED

    public static final long Q_PLATFORM_FQDN_CHANGED

See Also:
  Constant Field Values

### Q_PLATFORM_IPS_CHANGED

    public static final long Q_PLATFORM_IPS_CHANGED

See Also:
  Constant Field Values

### Q_PLATFORM_SERVERS_CHANGED

    public static final long Q_PLATFORM_SERVERS_CHANGED

See Also:
  Constant Field Values

### Q_PLATFORM_PROPERTIES_CHANGED

    public static final long Q_PLATFORM_PROPERTIES_CHANGED

See Also:
  Constant Field Values

### Q_IP_NETMASK_CHANGED

    public static final long Q_IP_NETMASK_CHANGED

See Also:
  Constant Field Values

### Q_IP_MAC_CHANGED

    public static final long Q_IP_MAC_CHANGED

See Also:
  Constant Field Values

### Q_SERVER_SERVICES_CHANGED

    public static final long Q_SERVER_SERVICES_CHANGED

See Also:
  Constant Field Values

### Q_SERVER_NAME_CHANGED

    public static final long Q_SERVER_NAME_CHANGED

See Also:
  Constant Field Values

### Q_SERVER_INSTALLPATH_CHANGED

    public static final long Q_SERVER_INSTALLPATH_CHANGED

See Also:
  Constant Field Values

### Q_SERVER_CONFIG_CHANGED

    public static final long Q_SERVER_CONFIG_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### AIQueueConstants

    public AIQueueConstants()

Method Detail

### getQueueStatusString

    public static java.lang.String getQueueStatusString(int qstat)

### getPlatformDiffString

    public static java.lang.String getPlatformDiffString(int qstat,
                                                         long diff)

### getIPDiffString

    public static java.lang.String getIPDiffString(int qstat,
                                                   long diff)

### getServerDiffString

    public static java.lang.String getServerDiffString(int qstat,
                                                       long diff)

### getActionValue

    public static int getActionValue(java.lang.String actionString)

### diffContains

    public static boolean diffContains(long diff,
                                       long attr)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.